Documents
Get Document
Get a single transmitted document by ID
GET
Get a single transmitted document by ID
AuthorizationBasic <token>
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Path Parameters
documentId*string
The ID of the document to retrieve
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/documents/string"{ "success": true, "document": { "id": "doc_01JQZ8X0M4T7RB6K9V2NDHW3PA", "teamId": "team_01JQZ8X0M4T7RB6K9V2NDHW3PA", "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA", "direction": "incoming", "senderId": "0208:1012081766", "receiverId": "0208:0428643097", "docTypeId": "urn:oasis:names:specification:ubl:schema:xsd:Invoice-2::Invoice##urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0::2.1", "processId": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0", "countryC1": "BE", "type": "invoice", "readAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "xml": "string", "parsed": { "invoiceNumber": "INV-2024-001", "issueDate": "2024-03-20", "dueDate": "2024-04-20", "note": "Thank you for your business", "buyerReference": "CC-4120", "purchaseOrderReference": "4500012345", "salesOrderReference": "SO-2024-001", "despatchReference": "DE-2024-001", "seller": { "vatNumber": "BE1234567894", "enterpriseNumberScheme": "0208", "enterpriseNumber": "1234567894", "name": "Example Company", "street": "Example Street 1", "street2": "Suite 100", "city": "Brussels", "postalZone": "1000", "country": "BE", "email": "email@example.com", "phone": "887 654 321" }, "buyer": { "vatNumber": "BE1234567894", "enterpriseNumberScheme": "0208", "enterpriseNumber": "1234567894", "name": "Example Company", "street": "Example Street 1", "street2": "Suite 100", "city": "Brussels", "postalZone": "1000", "country": "BE", "email": "email@example.com", "phone": "887 654 321" }, "delivery": { "date": "2025-03-20", "locationIdentifier": { "identifier": "123456789", "scheme": "0088" }, "location": { "city": "Brussels", "country": "BE", "postalZone": "1000", "street": "Example Street 1", "street2": "Suite 100" }, "recipientName": "Company Ltd." }, "paymentMeans": [ { "name": "Credit Transfer", "paymentMethod": "credit_transfer", "reference": "INV-2026-001", "iban": "BE1234567890", "financialInstitutionBranch": "string" } ], "paymentTerms": { "note": "Net 30" }, "lines": [ { "id": "1", "name": "Consulting Services", "description": "Professional consulting services", "note": "string", "buyersId": "CS-001", "sellersId": "CS-001", "standardId": { "scheme": "0160", "identifier": "10986700" }, "documentReference": "INV-2024-001", "orderLineReference": "string", "commodityClassifications": [ { "scheme": "SN", "schemeVersion": "string", "value": "123456" } ], "additionalItemProperties": [ { "name": "Color", "value": "Red" } ], "originCountry": "BE", "quantity": "21.00", "unitCode": "HUR", "netPriceAmount": "12.40", "baseQuantity": "1", "discounts": [ { "reasonCode": "95", "reason": "Discount", "amount": "21.00" } ], "surcharges": [ { "reasonCode": "FC", "reason": "Freight services", "amount": "21.00" } ], "netAmount": "21.00", "vat": { "category": "S", "percentage": "21.00" } } ], "discounts": [ { "reasonCode": "95", "reason": "Discount", "amount": "21.00", "vat": { "category": "S", "percentage": "21.00" } } ], "surcharges": [ { "reasonCode": "FC", "reason": "Freight services", "amount": "21.00", "vat": { "category": "S", "percentage": "21.00" } } ], "totals": { "linesAmount": "21.00", "discountAmount": "21.00", "surchargeAmount": "21.00", "taxExclusiveAmount": "21.00", "taxInclusiveAmount": "21.00", "payableAmount": "21.00", "paidAmount": "21.00" }, "vat": { "totalVatAmount": "21.00", "subtotals": [ { "taxableAmount": "21.00", "vatAmount": "21.00", "category": "S", "percentage": "21.00", "exemptionReasonCode": "string", "exemptionReason": "string" } ] }, "attachments": [ { "id": "ATT-001", "mimeCode": "application/pdf", "filename": "contract.pdf", "description": "Signed contract", "embeddedDocument": "string", "url": "https://example.com/contract.pdf" } ], "currency": "EUR", "countrySpecific": { "country": "FR", "billingMode": "S1", "businessProcess": "REGULATED", "recoveryCostsNote": "Indemnite forfaitaire de 40 EUR pour frais de recouvrement.", "latePaymentPenaltiesNote": "Penalites de retard exigibles au taux prevu dans les conditions generales de vente.", "earlyPaymentDiscountNote": "Aucun escompte accorde pour paiement anticipe." } }, "validation": { "result": "valid", "errors": [ { "ruleCode": "PEPPOL-EN16931-R010", "errorMessage": "string", "errorLevel": "ERROR", "fieldName": "string", "source": "string" } ] }, "sentOverPeppol": true, "sentOverEmail": false, "emailRecipients": [], "labels": [ { "colorHex": "#3B82F6", "externalId": "erp-routing-inbox", "id": "lbl_01JQZ8X0M4T7RB6K9V2NDHW3PA", "name": "ERP" } ], "peppolMessageId": "string", "peppolConversationId": "string", "receivedPeppolSignalMessage": "string", "envelopeId": "string", "reporting": { "reportingStatus": "accepted", "final": true, "receivedAt": "2019-08-24T14:15:22Z", "periodStart": "string", "periodEnd": "string", "submissionId": "string", "outcomeCode": "string", "outcomeAt": "2019-08-24T14:15:22Z", "checkedAt": "2019-08-24T14:15:22Z", "simulated": true }, "deliveryStatus": "delivered", "deliveries": [ { "id": "dlv_01JQZ8X0M4T7RB6K9V2NDHW3PA", "channel": "peppol", "address": "0208:0428643097", "status": "delivered", "statusChangedAt": "2019-08-24T14:15:22Z", "failure": { "category": "validation", "message": "string", "providerCode": "TXE-1005" }, "references": { "peppolMessageId": "string", "peppolConversationId": "string", "envelopeId": "string", "messageId": "string" } } ] }}